<?php
/**
 * Underscore.js template
 *
 * @package FlowMattic
 * @since 1.1
 */
?>
<script type="text/html" id="flowmattic-application-php_array-data-template">
	<div class="flowmattic-php_array-action-data">
		<div class="form-group w-100">
			<h4 class="fm-input-title"><?php esc_attr_e( 'JSON Data', 'flowmattic' ); ?></h4>
			<div class="fm-dynamic-input-field">
				<input class="form-control dynamic-field-input w-100" required name="json_array" autocomplete="off" type="search" value="<# if ( 'undefined' !== typeof actionAppArgs && 'undefined' !== typeof actionAppArgs.json_array ) { #>{{{ actionAppArgs.json_array }}}<# } #>">
				<span class="dynamic-field-button dashicons dashicons-database" title="Replace with captured data"></span>
			</div>
			<div class="fm-application-instructions">
				<p>
					<?php echo esc_attr__( 'Select the field having JSON data to process the array functions.', 'flowmattic' ); ?>
				</p>
			</div>
		</div>
		<div class="flowmattic-php-array-function-fields">
		</div>
	</div>
</script>
<script type="text/html" id="flowmattic-application-php_array-get_value_by_index-data-template">
	<div class="form-group w-100">
		<h4 class="fm-input-title"><?php esc_attr_e( 'Array Index(es)', 'flowmattic' ); ?></h4>
		<div class="fm-dynamic-input-field">
			<input class="form-control dynamic-field-input w-100" required name="array_index" autocomplete="off" type="search" value="<# if ( 'undefined' !== typeof actionAppArgs && 'undefined' !== typeof actionAppArgs.array_index ) { #>{{{ actionAppArgs.array_index }}}<# } #>">
			<span class="dynamic-field-button dashicons dashicons-database" title="Replace with captured data"></span>
		</div>
		<div class="fm-application-instructions">
			<p>
				<?php echo esc_attr__( 'Enter the array index number. Array index starts from 0. You can also get multiple values by entering indexes as comma separated list. eg. 1,3. It will retrieve the values for array index 1 and 3.', 'flowmattic' ); ?>
			</p>
		</div>
	</div>
</script>
<script type="text/html" id="flowmattic-application-php_array-array_search-data-template">
	<div class="form-group w-100">
		<h4 class="fm-input-title"><?php esc_attr_e( 'Array Search Term', 'flowmattic' ); ?></h4>
		<div class="fm-dynamic-input-field">
			<input class="form-control dynamic-field-input w-100" required name="array_search_term" autocomplete="off" type="search" value="<# if ( 'undefined' !== typeof actionAppArgs && 'undefined' !== typeof actionAppArgs.array_search_term ) { #>{{{ actionAppArgs.array_search_term }}}<# } #>">
			<span class="dynamic-field-button dashicons dashicons-database" title="Replace with captured data"></span>
		</div>
		<div class="fm-application-instructions">
			<p>
				<?php echo esc_attr__( 'Enter the search term to search the array for. If the value found, it will return the array index, or error if not found.', 'flowmattic' ); ?>
			</p>
		</div>
	</div>
</script>
