<?php
// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class FlowMattic_Webhook {

	/**
	 * Constructor.
	 *
	 * @access public
	 * @since 1.0
	 * @return void
	 */
	public function __construct() {
		flowmattic_add_application(
			'webhook',
			array(
				'name'         => esc_attr__( 'Webhooks by FlowMattic', 'flowmattic' ),
				'icon'         => FLOWMATTIC_PLUGIN_URL . 'inc/apps/webhook/icon.svg',
				'instructions' => 'Copy the Webhook URL and send your request to this url from your application or website.',
				'actions'      => array(),
				'base'         => 'core',
				'type'         => 'trigger',
			)
		);
	}

	/**
	 * Get the webhook url.
	 *
	 * @access public
	 * @since 1.0
	 * @param string $workflow_id Workflow ID.
	 * @return string
	 */
	public static function get_url( $workflow_id ) {
		return home_url( '/webhook/capture/' . $workflow_id );
	}
}

new FlowMattic_Webhook();
